Module javafx.controls
Package javafx.scene.control.skin

# Class ProgressBarSkin

java.lang.Object
javafx.scene.control.SkinBase<ProgressIndicator>
javafx.scene.control.skin.ProgressIndicatorSkin
javafx.scene.control.skin.ProgressBarSkin

All Implemented Interfaces:
  `Skin<ProgressIndicator>`

    public class ProgressBarSkin
    extends ProgressIndicatorSkin

Default skin implementation for the `ProgressBar` control.

Since:
  9
See Also:
  `ProgressBar`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ProgressBarSkin​(ProgressBar control)` | Creates a new ProgressBarSkin instance, installing the necessary child nodes into the Control `children` list.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static List<CssMetaData<? extends Styleable,​?>>` | `getClassCssMetaData()` | Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getCssMetaData, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `dispose, getNode, getSkinnable`

- ## Constructor Details

  - ### ProgressBarSkin

    public ProgressBarSkin​(ProgressBar control)
    Creates a new ProgressBarSkin instance, installing the necessary child nodes into the Control `children` list.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,​?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses